<?php
session_start();
if (!isset($_SESSION["admin_id"])) {
    header("Location: admin.php");
    exit;
}

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $ogrenci_id = $_POST["ogrenci_id"];
    $ders_id = $_POST["ders_id"];

    try {
    $db = new PDO("mysql:host=localhost;dbname=yenicesi_2305610353;charset=utf8", "yenicesi_2305610353", "2305610353C.");
    } catch (PDOException $e) {
        die("Veritabanı bağlantı hatası: " . $e->getMessage());
    }

    // Ders atama işlemi
    $sorgu = $db->prepare("INSERT INTO ogrenci_dersleri (ogrenci_id, ders_id) VALUES (?, ?)");
    $ekle = $sorgu->execute([$ogrenci_id, $ders_id]);

    if ($ekle) {
        header("Location: admin_dashboard.php?ders_ata=basarili");
        exit;
    } else {
        echo "Ders atama işlemi başarısız.";
    }
} else {
    echo "Geçersiz istek.";
}
